Skip to main content
📞 1-888-784-3881🚀 Start Project
🌐API Reference

REST Endpoints

Complete reference for all REST API endpoints.

⏱️ 15 min read

Base URL

https://api.proptechusa.ai/v1

Leads

List Leads

GET /leads

Query Parameters:

  • limit (number) - Max results (default: 50, max: 100)
  • offset (number) - Pagination offset
  • status (string) - Filter by status
  • source (string) - Filter by source

Response:

{

"data": [

{

"id": "lead_abc123",

"name": "John Doe",

"email": "john@example.com",

"phone": "555-1234",

"status": "new",

"source": "website",

"created_at": "2024-01-15T10:30:00Z"

}

],

"meta": {

"total": 150,

"limit": 50,

"offset": 0

}

}

Create Lead

POST /leads

Request Body:

{

"name": "John Doe",

"email": "john@example.com",

"phone": "555-1234",

"source": "website",

"metadata": {

"utm_source": "google",

"landing_page": "/sell-my-house"

}

}

Get Lead

GET /leads/:id

Update Lead

PATCH /leads/:id

Delete Lead

DELETE /leads/:id

Properties

List Properties

GET /properties

Get Property Valuation

POST /properties/valuate

Request Body:

{

"address": "123 Main St",

"city": "Austin",

"state": "TX",

"zip": "78701"

}